<template>
  <q-layout view="lHh Lpr lFf">
    <app-menu></app-menu>
    <div>
      <q-resize-observer @resize="onResize" />
      <!-- Refer: https://www.templatemonster.com/demo/63514.html -->

      <!-- Big banner -->
      <div v-if="innerWidth > 1024" style="max-width: 1200px; margin: auto">
        <img
          src="../../public/image/banner-s.jpg"
          style="height: 100%; width: 100%"
          alt
        />
      </div>
      <!-- Furniture banner -->
      <div class="row mainDiv" v-if="innerWidth > 1024">
        <div class="col-6">
          <router-link to="/products/100" class="notext cursor-pointer">
            <div class="q-py-md">
              <img
                src="../../public/image/furniture2_b.jpg"
                style="width: 100%"
                alt
              />
            </div>
          </router-link>
          <!-- Home Decor banner -->
          <router-link to="/gallery/100" class="notext cursor-pointer">
            <div class="q-pb-md">
              <img
                src="../../public/image/homedecor_b.jpg"
                style="width: 100%"
                alt
              />
            </div>
          </router-link>
        </div>

        <!-- Info -->

        <div class="col-6">
          <router-link to="/info" class="notext cursor-pointer">
            <div class="q-py-md q-pl-md">
              <img
                src="../../public/image/tree2x.jpg"
                style="width: 100%; height: 806px"
                alt
              />
            </div>
          </router-link>
        </div>
      </div>
      <div class="row mainDiv" v-if="innerWidth <= 1024">
        <div class="col-12">
          <router-link to="/products/100" class="notext cursor-pointer">
            <div class>
              <img
                src="../../public/image/furniture2_b.jpg"
                style="width: 100%"
                alt
              />
            </div>
          </router-link>
          <!-- Home Decor banner -->
          <router-link to="/gallery/100" class="notext cursor-pointer">
            <div class>
              <img
                src="../../public/image/homedecor_b.jpg"
                style="width: 100%"
                alt
              />
            </div>
          </router-link>
          <!-- Info -->

          <div class="col-12 q-pb-md">
            <router-link to="/info" class="notext cursor-pointer">
              <img
                src="../../public/image/tree_m2.jpg"
                style="width: 100%"
                alt
              />
            </router-link>
          </div>
        </div>
      </div>

      <!-- Get the lastest news -->
      <div class="getNewsBg q-py-xl" v-if="innerWidth >= 1000">
        <div class="mainDiv row">
          <div class="col-7 q-px-md">
            <div class="text-h4 text-white">Get the Lastest News Delivered</div>
            <div class="text-white q-pt-md">
              Give us your email and you will be updated with the lastest
              catalog, in detail.
            </div>
          </div>

          <div class="col-5 row">
            <div class="col">
              <q-input
                outlined
                label="Enter your email address"
                label-color="white"
                color="white"
                dark
                v-model="emailSubscribe"
                @keyup.enter="subscribeBtn()"
              >
                <template v-slot:prepend>
                  <q-icon name="far fa-envelope" />
                </template>
              </q-input>
            </div>
            <div style="width: 150px" align="center">
              <q-btn
                color="white"
                text-color="black"
                label="Subscribe"
                no-caps
                style="height: 54px; width: 120px"
                @click="subscribeBtn()"
              />
            </div>
          </div>
        </div>
      </div>
      <div class="getNewsBg q-py-md" v-if="innerWidth < 1000">
        <div class="mainDiv row">
          <div class="col-12 q-px-md">
            <div class="text-h5 text-white" align="center">
              Get the Lastest News Delivered
            </div>
            <div class="text-white q-pt-sm" align="center">
              Give us your email and you will be updated with the lastest
              catalog, in detail.
            </div>
          </div>

          <div class="col-12 q-px-md q-pt-md" align="center">
            <q-input
              outlined
              label="Enter your email address"
              dark
              style="width: 100%; max-width: 500px"
              label-color="white"
              color="white"
              v-model="emailSubscribe"
              @keyup.enter="subscribeBtn()"
            >
              <template v-slot:prepend>
                <q-icon name="far fa-envelope" />
              </template>
            </q-input>
          </div>
          <div class="col-12 q-px-md q-pt-md" align="center">
            <q-btn
              color="white"
              text-color="black"
              label="Subscribe"
              no-caps
              style="height: 54px; width: 100%; max-width: 500px"
              @click="subscribeBtn()"
            />
          </div>
        </div>
      </div>
      <!-- footer -->
      <app-footer></app-footer>
    </div>
  </q-layout>
</template>

<script>
import { db } from "../router/index.js";
import appFooter from "../components/footer.vue";
import appMenu from "../components/menu.vue";
export default {
  data() {
    return {
      tab: "home",
      innerWidth: window.innerWidth,
      innerHeight: window.innerHeight,
      leftDrawerOpen: false,
      emailSubscribe: "",
    };
  },
  components: {
    appFooter,
    appMenu,
  },
  methods: {
    subscribeBtn() {
      var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
      if (this.emailSubscribe.match(mailformat)) {
        this.$q
          .dialog({
            title: "Confirmation",
            message: "Please re-enter your email to confirm again",
            prompt: {
              model: "",
              type: "text", // optional
            },
            cancel: true,
            persistent: true,
          })
          .onOk((data) => {
            if (data == this.emailSubscribe) {
              let currentDate = new Date();
              db.collection("member")
                .add({
                  email: this.emailSubscribe,
                  timestamp: currentDate.getTime(),
                })
                .then(() => {
                  this.emailSubscribe = "";
                });
            } else {
              this.$q.notify({
                message: "Your email address is not same",
                icon: "fas fa-exclamation-triangle",
                color: "negative",
              });
              return;
            }
          });
      } else {
        this.$q.notify({
          message: "Please input your email address",
          icon: "fas fa-exclamation-triangle",
          color: "negative",
        });
        return;
      }
    },
    loadNewProduct() {
      console.log("test");
    },
    onResize(size) {
      (this.innerWidth = size.width), (this.innerHeight = size.height);
    },
  },
};
</script>

<style lang="scss" scoped>
.mainDiv {
  max-width: 1200px;
  width: 100%;
  margin: auto;
}

.setHeightMenu {
  line-height: 80px;
}
.footerBg {
  background-color: #eaeaea;
}

.textLink {
  color: #6a6a6a;
}

.getNewsBg {
  background-color: #6a6a6a;
}
.menuMobile {
  padding: 10px;
  font-size: 20px;
}
</style>
